GET
/push/vapid-keyGet VAPID public key
Returns the VAPID public key needed to subscribe to push notifications.
No request parameters
POST
/push/subscribeSubscribe to push notifications
Registers a new push subscription for the authenticated user.
Request Body
Bodyapplication/json
| Field | Type | Notes |
|---|---|---|
endpoint | string (uri) | required |
p256dh | string | required |
auth | string | required |
userAgent | string |
DELETE
/push/subscribeUnsubscribe from push notifications
Removes a push subscription for the authenticated user.
Parameters
endpointqueryrequiredDELETE
/push/subscriptions/{id}Remove push subscription
Removes a specific push subscription by ID for the authenticated user.
Parameters
idpathrequiredGET
/push/subscriptionsGet push subscriptions
Returns all active push subscriptions for the authenticated user.
No request parameters